View Issue Details

IDProjectCategoryView StatusLast Update
0008558mantisbtapi soappublic2011-04-05 14:23
Reporterkingargyle Assigned Torombert  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.0.7 
Target Version1.2.5Fixed in Version1.2.5 
Summary0008558: SOAP API needs ability to Monitor a Task
Description

Using the Mylyn-Mantis connector, we would like to have the ability to allow a user to select to Monitor a Task within the Mylyn Editor itself. To do this, we need a set of APIs that allow for the following:

  1. Viewing a list of users that are monitoring a particular issue.
  2. Allowing user to Monitor an issue (with duplicate checking to make sure they aren't already monitoring the topic).
  3. Allow for a user to Stop Monitoring an issue.
TagsNo tags attached.

Activities

vboctor

vboctor

2007-11-07 19:32

manager   ~0016105

I agree that this functionality is needed. I don't have the code handy now, but following are some thoughts:

  1. We should probably return the list of users monitoring an issue as part of getting issue information.

  2. We should provide a way for the logged in user to add/remove possibly another user to the monitor list. The API should internally handle the duplicate case. This should not be done in the SOAP API but in the core API.

kingargyle, I would be happy to review this once you have a patch for it.

Issue History

Date Modified Username Field Change
2007-11-07 13:53 kingargyle New Issue
2007-11-07 19:32 vboctor Note Added: 0016105
2007-11-07 19:32 vboctor Status new => acknowledged
2011-02-11 17:52 rombert Assigned To => rombert
2011-02-11 17:52 rombert Status acknowledged => assigned
2011-02-11 17:52 rombert Target Version => 1.2.5
2011-02-13 09:17 rombert Status assigned => resolved
2011-02-13 09:17 rombert Fixed in Version => 1.2.5
2011-02-13 09:17 rombert Resolution open => fixed
2011-04-05 14:23 jreese Status resolved => closed